@font-face {
  font-family: VHS;
  src: url("https://peachyvoid.com/fonts/VT323-Regular.ttf");
}

body {
  margin: 65;
  padding: 0;
  background-repeat: repeat;
  background-attachment: fixed;
  font-family: VHS;
  color: #ffffff;
  min-height: 100vh;   
}

body.music-page {
  background: url("https://peachyvoid.com/graphics/87k.gif");
}

body.playlists-page {
  background: url("https://peachyvoid.com/backgrounds/rainbowstars.gif");
}


main, .content-wrapper, .container {   
  margin-inline: auto;               
  max-width: 80%;                   
  width: 100%;                          
  padding-inline: 0px;           

}


.listening-room {
  max-width: 320px;
  margin: 1rem auto;
  padding: 1.14rem;
  background: #4a365e4b;
  border: 2px solid #ffffff;
  border-radius: 10px;
  box-shadow: 0 0 30px rgba(163, 137, 255, 0.3);  
}

.listening-room-playlists {
  max-width: 400px;
  margin: 1rem auto;
  padding: 1.14rem;
  background: #60556b;
  border: 2px solid #ffffff;
  border-radius: 10px;
  box-shadow: 0 0 30px rgba(163, 137, 255, 0.3);  
}

h1 {
  text-align: center;
  letter-spacing: 3px;
  text-transform: uppercase;
}

.intro {  `
  text-align: center;
  font-style: italic;
  margin-bottom: 2rem;
}


.room-layout {
  display: grid;
  grid-template-columns: .51fr 1.3fr;
  gap: 1rem;
}


.now-playing,
.songs,
.favorite-albums {
  background: #4a365e63;
  padding: 1rem;
  border: 2px solid #ffffff;
  border-radius: 10px;
  box-shadow: 0 0 30px rgba(163, 137, 255, 0.3);  
  font-size: 20px;
}

.favorite-albums {
  width: 950px;
}

.now-playing-playlists,
.songs-playlists,
.favorite-albums-playlists {
  background: #2f2b33c5;
  padding: 1rem;
  border: 2px solid #ffffff;
  border-radius: 10px;
  box-shadow: 0 0 30px rgba(163, 137, 255, 0.3);  
  font-size: 20px;
}

.now-playing {
  margin-bottom: 1rem;
  
}


.now-playing-content {

  display: flex;
  gap: 1rem;
  align-items: center;
  font-size: 20px;
}

.now-playing img {
  width: 120px;
  border: 2px solid #000000;
  background: #fff;
  padding: 4px;
}

.now-playing-title {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.record-icon {
  width: auto !important; 
  height: 75px;
  border: none !important;
  background: none !important;
  padding: 1 !important;
  box-shadow: none !important;
  margin-top: 0rem;
}



.song-title {
  font-weight: bold;
  font-size: 1.1em;
}

.artist {
  font-style: italic;
}

.mood a{
  color: #d3c3ee;
  font-size: 0.9em;
}

.album-item {
  position: relative;
  display: inline-block;
}

.album-item img {
  width: 160px;
  height: 160px;
  aspect-ratio: 1 / 1.25;
  border: 2px solid #333;
  background: #fff;
  padding: 3px;
  transform: rotate(-1deg);
  transition: all 0.2s;
}


.album-item:nth-child(even) img {
  transform: rotate(1deg);
}

.album-item:hover img {
  transform: scale(1.05) rotate(0deg);
  box-shadow: 0 0 12px rgba(0, 0, 0, 0.4);
}


.album-text {
  position: absolute;
  inset: 0;                 
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 8px;
  background: rgba(0,0,0,0.75);
  color: #f4eee4;
  font-size: 0.85em;
  font-style: bold;
  opacity: 0;
  transition: opacity 0.2s ease;
  pointer-events: none;
}


.album-item:hover .album-text {
  opacity: 1;
}



.songs ul {
  list-style: none;
  padding-left: 0;
}

.songs li {
  padding: 0.4rem 0;
  border-bottom: 1px dashed #000000;
  font-style: italic;
}


h2 {
  font-size: 2em;
  letter-spacing: 2px;
  border-bottom: 1px solid #d4bee5;
  margin-top: 0.01rem;
  margin-bottom: .5rem;
}


.songs-text {
  position: absolute;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 6px;
  background: rgba(0,0,0,0.78);
  color: #f4eee4;
  font-size: 0.78em;          
  opacity: 0;
  transition: opacity 0.25s ease;
  pointer-events: none;
}

.songs-item:hover .songs-text {
  opacity: 1;
}

.songs-grid img:nth-child(even) {
  transform: rotate(1deg);
}

.songs-grid img:hover {
  transform: scale(1.05) rotate(0deg);
  box-shadow: 0 0 12px rgba(0,0,0,0.4);
}

.songs-item {
  position: relative;
  display: inline-block;
}

.songs-item img {
  width: 105px;
  height
  aspect-ratio: 1 / 1.25;
  border: 2px solid #333;
  background: #fff;
  padding: 3px;
  transform: rotate(-1deg);
  transition: all 0.2s;
}


.songs-item:nth-child(even) img {
  transform: rotate(1deg);
}

.songs-item:hover img {
  transform: scale(1.05) rotate(0deg);
  box-shadow: 0 0 12px rgba(0,0,0,0.4);
}


.songs-text {
  position: absolute;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 8px;
  background: rgba(0,0,0,0.75);
  color: #f4eee4;
  font-size: 0.85em;
  opacity: 0;
  transition: opacity 0.2s ease;
  pointer-events: none;
}

.songs-item:hover .songs-text {
  opacity: 1;
}


/* lightbox */
.album-info {
  display: none;
  position: fixed;
  top: 0; left: 0;
  width: 100%; height: 100%;
  background: rgba(0,0,0,0.8);
  justify-content: center;
  align-items: center;
  cursor: pointer;
  padding: 1em;
}

.album-info-box {
  background: #362c4152;
  background-repeat: no-repeat;
  backdrop-filter: blur(10px);         
  -webkit-backdrop-filter: blur(12px);
  background-size: cover;
  border-radius: 7px;
  border: double #f4eee4;
  max-width: 800px;
  width: 90%;
  cursor: default;
  position: relative;
  padding: 1em 1.5em;
}

.close-btn {
  position: absolute;
  top: 10px;
  right: 15px;
  cursor: pointer;
  font-size: 1.2em;
}

.info-content {
  display: flex;
  font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
  gap: 20px;
  align-items: flex-start;
  flex-wrap: wrap;
}

.info-album-image img {
  width: 400px;
  border-radius: 8px;
}

.info-album-text {
  flex: 1;
}

.info-album-text h3 {
  margin-top: 0;
}

.info-album-text ul {
  padding-left: 1.2em;
}



.back-button {
  position: fixed;
  top: 20px;
  left: 20px;
  padding: 3px 8px;
  color: rgb(225, 201, 255);
  text-decoration: none;
  font-size: 14px;
  border-radius: 6px;
  transform-origin: top left;         
  transition: transform 0.2s ease;
  display: inline-block;
  width: fit-content;     
}

.back-button:hover {
  transform: scale(1.2);
    text-shadow:
  0 0 5px #8babdb,
  0 0 10px #c1a0eb,
  0 0 15px #ac77a7,
  0 0 20px #000000;
}

a {
  color: #c1a0eb;
  display: inline-block;
  text-decoration: none;

}

a:hover{
  color: #8babdb;
  transform: scale(1.2);
  transition: transform 0.2s ease;
  text-shadow: 
  0 0 5px #8babdb,
  0 0 10px #c1a0eb,
  0 0 15px #ac77a7,
  0 0 20px #000000;

}


.album-item {
  cursor: pointer;
}